// @import "grid";
body {
  background-color: #f0f1f2;
}
.jkrcat_outer {
  font-size: 16px;
  padding: 15px;
  max-width: 1270px;

  img {
    max-width: 100%;
    height: auto;
  }
  .modal {
    p {
      font-size: 16px;
    }
  }
}

.jkrcat_outer {
  .jkrcat_block {
    border: 1px solid #c9c9c9;
    background-color: #fff;
    font-size: 16px;
    color: #23282d;
    padding: 20px;
    margin-bottom: 20px;
    &.small {
      padding: 5px;
    }
  }

  a {
    text-decoration: none;
  }
  p {
    font-size: inherit;
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    margin: 0;
    font-weight: 700;
  }
  h1 {
    font-size: 26px;
    margin: 5px 0 15px;
  }
  h3 {
    font-size: 18px;
  }
  input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]):not([type="button"]),
  select,
  textarea {
    border: 1px solid #c9c9c9;
    background-color: #f8f8f8;
    width: 90%;
    line-height: 2;
    padding: 2px 10px;
    font-size: inherit;
    &:invalid {
      .formsubmit & {
        -webkit-box-shadow: 0 0 2px rgba(248, 25, 25, 0.8) !important;
        box-shadow: 0 0 2px rgba(248, 25, 25, 0.8) !important;
      }
    }
  }
  button,
  .btn-primary,
  input[type="submit"] {
    border: none;
    border-radius: 4px;
    padding: 7px 25px;
    font-size: 16px;
    font-weight: 300;
    background-color: #0073aa;
    color: #fff;
    cursor: pointer;
    -webkit-transition: all 0.3s;
    transition: all 0.3s;
    &:hover:not(:active) {
      -webkit-box-shadow: 0 3px 3px 0 #999;
      box-shadow: 0 3px 5px 0 #999;
    }
    &:disabled {
      background-color: #bdbdbd;
      -webkit-box-shadow: none !important;
      box-shadow: none !important;
      cursor: not-allowed;
    }
  }

  .red {
    color: #ea0000;
  }
  .pd15 {
    padding: 15px;
  }

  .table {
    td,
    th {
      border: none;
      padding: 5px 0.75rem;
    }
  }

  .style_input {
    border: 1px solid #c9c9c9;
    background-color: #f8f8f8;
    padding: 8px;
    display: block;
    min-height: 42px;
  }

  /* ====== pages ======== */
  .list_items {
    margin-bottom: 25px;
    .item {
      border: 1px solid #c9c9c9;
      //   padding: 8px 8px 0;
      margin-bottom: 15px;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-align: center;
      -ms-flex-align: center;
      align-items: center;
      a:not(.red) {
        color: #000;
        &:hover {
          color: #007bff;
        }
      }

      & > div {
        // margin-bottom: 8px;
        font-size: 14px;
        padding: 8px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        & > label {
          display: block;
          padding: 5px 10px;
          margin: 0;
          font-weight: 700;
          /* word-break: break-word;
          width: 156px; */
          white-space: nowrap;
          cursor: default;
        }
        & > span {
          border: 1px solid #c9c9c9;
          background-color: #f8f8f8;
          padding: 8px;
          display: block;
          width: 100%;
        }
      } /* / div */
      .meta {
        a {
          font-weight: 700;
          padding: 5px 6px;
          display: block;
        }
        .msg {
          display: none;
        }
      }
    } /* /.item */
  } /* /.items */

  .page_msg {
    & > div {
      padding: 10px;
      border-radius: 5px;
      margin: 10px 0;
      // border: 1px solid #c9c9c9;
    }
    .msg_success {
      background-color: lightgreen;
    }
    .msg_error {
      background-color: lightpink;
    }
  }
} /* /.jkrcat_block */

/* page pagination */
.jk_pagination {
  text-align: center;
  & > div {
    display: inline-block;
    & > span,
    & > a {
      display: inline-block;
      border: 1px solid #efefef;
      padding: 5px 10px;
      margin: 2px;
    }
    & > a {
      border-color: #ccc;
    }
  }
} /* /.jk_pagination */

/* form design */
.jkrcat_outer {
  .field-set {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    margin-bottom: 8px;
    -webkit-box-pack: stretch;
    -ms-flex-pack: stretch;
    justify-content: stretch;
    &.right {
      -webkit-box-pack: end;
      -ms-flex-pack: end;
      justify-content: flex-end;
    }

    label {
      text-transform: uppercase;
      font-weight: 500;
      width: 160px;
    }
  }
  .image-field {
    img {
      max-width: 150px;
      max-height: 150px;
      border: 2px solid #ccc;
    }
  }
}

/* 
custom pointer
*/
#background_image_show {
  cursor: pointer;
}
#upload_image_button,
#upload_image_remove {
  margin-top: 3px;
}
.mail_select_animal {
  background-color: #e6e7e8;
  padding: 10px 25px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  border-radius: 5px;
  .list_items {
    width: 90%;
    margin: 0;
    .item {
      margin-bottom: 0;
      background-color: #fff;
    }
  }
}
